/*Definimos la anchura y la altura de las cajas*/
.caja {
    width: 100px;
    height: 100px;
}

/*Para poner los div en linea*/
.contenedor {
    display: flex;
}

/*Centramos el contenido de los div y los separamos con un margins*/
.contenedor * {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 20px;
}

/*Propiedades de cada caja*/
.caja-A,
.caja-sola {
    background-color: lightgreen;
    border: 1px solid green;
    /*Duración de la animación para cambiar el fondo*/
    transition: background-color 3s;
}

.caja-B {
    background-color: pink;
    border: 1px solid red;
    /*Duración de la animación de 3 segundos para cambiar el borde*/
    transition: border 3s;
}

.caja-C {
    background-color: lightblue;
    border: 1px solid blue;
    /*Duración de la animación de 3 segundos para cambiar el ancho*/
    transition: width 3s;
}

.caja-D {
    background-color: lightyellow;
    border: 1px solid goldenrod;
    /*Duración de la animación de 3 segundos para cambiar el alto*/
    transition: height 3s;
}

.caja-E {
    background-color: mediumorchid;
    border: 1px solid purple;
    /*Duración de la animación de 3 segundos para cambiar el borde radius*/
    transition: border-radius 3s;
}

.caja-F {
    background-color: yellow;
    border: 1px solid greenyellow;
    /*Duración de la animación de 3 segundos para girar el div*/
    transition: transform 3s;
}

.caja-sola {
    /*Duración de la animación de 3 segundos para cambiar todas las animaciones*/
    transition: all 3s;
}

/*Cambios cuando se hace hover sobre cada div*/

.caja-A:hover,
.caja-sola:hover {
    background-color: pink;
}

.caja-B:hover,
.caja-sola:hover {
    border: 5px dashed green;
}

.caja-C:hover,
.caja-sola:hover {
    width: 50px;
}

.caja-D:hover,
.caja-sola:hover {
    height: 50px;
}

.caja-E:hover,
.caja-sola:hover {
    border-radius: 50%;
}

.caja-F:hover,
.caja-sola:hover {
    transform: rotate(180deg);
}